A new vulnerability has been found in Mcafee Internet Security which can lead to "Manipulation of data" and/or "Privilege escalation". Classified as "LESS CRITICAL" a patch is being by the McAfee through their update technology.

The problem is caused due to insecure default file ACLs allowing non-administrative users to modify the installed files. This can be exploited to gain escalated privileges by e.g. replacing a program running as a system service with a malicious program.
More can be found here :

Original Advisory:

There is no advisory by the manufacturer (McAfee)